

# Macro Workflow: Listing Projects that truly matter 

## **The reason behind your actions**

As we have discussed [previously](../rightthing/index.md) you'll work at your best effort if you're convinced that what you're doing is the right thing to do. What the right thing to do may be for you, may be different for other people, but to make it short, shifting the activity in your life from being about you, to being about the world and the greater good, marks growth both in maturity and in fulfillment.

![](1.png)

So when you are looking at the 3 main reasons you may act for something greater than yourself, you may find yourself looking for the following three:
    
    
    To Purify
    To Percieve
    To Transcend
    
    

To get yourself some ideas, just go around the world (physically or digitally) and look what you feel is missing. Over the course of the years on this blog i discovered many, many Projects:
    
    
    -Hacking: Web, Binary, Physical, Hardware, Binexp, Bruteforcing, Privilege Escalations, MITM, AV evasions, etc.
    -Sysadmin: Decentralisation, Self-hosting, Federation, Privacy front-ends, etc
    -Opsec: Privacy, Anonymity, Deniability, etc
    
    

My passion shifted from Hacking to Sysadmin, and from Sysadmin to Opsec over the years. The reasoning behind leaving hacking behind is that finding what developers forgot to take into account when designing their software or their infrastructure it isn't truly fulfilling for me, even though it has given me a very clear and diverse picture of what cybersecurity was. I learned the methodology to follow to start from an IP and arrive at the root user, and after applying it a few dozens of times it's gotten crystal clear and boring. 

Sysadmin wise, i felt like having tangible utility after each tutorial. You learn how to setup something for yourself, at the same time you show everyone how to do it, and in the end you can use the service for your own infrastructure at home. Here it starts to benefit the individuals and it was more fulfilling already. But upon looking at what was missing around the world, i came around the obvious governments attacking people's basic rights of privacy and anonymity. Hence the shift i made to Operational Security Projects.

The 2 main Projects i cover currently are Opsec, and a secondary Project: Productivity. As this is also something i've seen that is missing in people, they all look either bored or are feeling completely lost in their lives. I'm firmly convinced that these 2 are currently essential and are 100% worth diving into.

## **Listing Projects**

Now that you have the full reasoning behind how to pick new Projects, let's list them and categorize them:
    
    
    For the world 
    	-Blog 
    		-Project Opsec
    		-Project Productivity 
    	-Fediverse 
    	-Privacy Front-ends
    		
    For yourself
    	-Life
    		-Apartment / House 
    		-Wedding 
    	-School 
    		-School Project A
    		-School Project B
    		-School Project C
    	-Work 
    		-Work Project X
    		-Work Project Y
    		-Work Project Z
    	
    

For myself i have a few typical Projects that literally everyone eventually has in their lives, such as getting an apartment/house, having a successful relationship, going to school and going to work.

And for the world, i have a few Projects, keeping up with my blog, with Opsec as the primary activity, and Productivity as the secondary activity. And i also have a few other side projects like contributing to the fediverse and hosting privacy front-ends.

When listing Projects, **rank them from top (most important) to bottom (least important).** This is not a reason to spend 100% of your time on your passion. but it is a reason to spend at least 50% of your free time on what truly matters to you, and to reduce the other Projects that don't matter to you to their strict minimum.

For instance, the time i wish to consecrate on my blog would collide with that of keeping a family life, so i made the choice to reduce the personal Projects (including family life) to their strict minimum. So that i could spend most of my free time doing what i feel truly matters to me.

Obviously there are Projects that are inevitable such as going to school and to work, you'll anyway have to do those two. **But what you're doing for the rest of your time is entirely up to you. Don't start engaging yourself into Projects that don't truly matter to you. Life is to short to waste it on that which means nothing to you.**

## **Labeling and Ordering Projects**

Aside from ranking the importance of each Project (most important at the top, least important at the bottom), you need to label them like so:
    
    
    For the world (1)
    	-Blog (11)
    		-Project Opsec(111)
    		-Project Productivity (112)
    	-Fediverse (12)
    	-Privacy Front-ends(13)
    		
    For yourself (2)
    	-Life (21)
    		-Apartment / House (211)
    		-Wedding (212)
    	-School (22)
    		-School Project A (221)
    		-School Project B (221 -> 222)
    		-School Project C (222 -> 223)
    	-Work (23)
    		-Work Project X (231)
    		-Work Project Y (232)
    		-Work Project Z (231 + 232 -> 233)
    	
    

Labeling them will first help you contextualize the Projects and sub Projects you have, so you know where they fit:
    
    
    For the world (1)
    	-Blog (11)
    		-Project Opsec(111)
    		-Project Productivity (112)
    

For instance, as the Opsec Project is labeled 111, i know it is in the context of the blog (11) which is in the context of my "for the world" Projects (1)

Then, thanks to labels, you can easily list what Projects (and subProjects) depend on one another:
    
    
    For yourself (2)
    	-School (22)
    		-School Project A (221)
    		-School Project B (221 -> 222)
    		-School Project C (222 -> 223)
    	-Work (23)
    		-Work Project X (231)
    		-Work Project Y (232)
    		-Work Project Z (231 + 232 -> 233)
    

For instance here, the school project C (223) depends on school project B (222), which depends on school project A (221). Therefore i know i need to do the school projects in the correct order: A, then B, then C.

For the work projects here, we have Project Z (233) which depends on projects X (231) and Y (232). Therefore i know i can do them in 2 different orders: X, Y then Z, or in the other order: Y, X and then Z. 

Accurate planning is crucial especially if you're going to have a ton of Projects like i have under Opsec, you need to know which Projects depend on which other Projects, to be able to know in which order you're going to do them, hence the labeling need.

